## List Target Environments `client.vulnerabilityScanner.targetEnvironments.list(TargetEnvironmentListParamsparams?, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/vuln_scanner/target_environments` Returns all target environments for the account. ### Parameters - `params: TargetEnvironmentListParams` - `account_id?: string` Path param: Identifier. - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Number of results per page. ### Returns - `TargetEnvironmentListResponse` - `id: string` Target environment identifier. - `name: string` Human-readable name. - `target: Target` Identifies the Cloudflare asset to scan. Uses a `type` discriminator. Currently the service supports only `zone` targets. - `type: "zone"` - `"zone"` - `zone_tag: string` Cloudflare zone tag. The zone must belong to the account. - `description?: string | null` Optional description providing additional context. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const targetEnvironmentListResponse of client.vulnerabilityScanner.targetEnvironments.list( { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, )) { console.log(targetEnvironmentListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "name": "Production Zone", "target": { "type": "zone", "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249" }, "description": "Main production environment" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```